<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:22:05 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>FCMUtil (org.eclipse.papyrus.designer.components.fcm.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FCMUtil (org.eclipse.papyrus.designer.components.fcm.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FCMUtil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html" title="class in org.eclipse.papyrus.designer.components.FCM.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.RoleBindingTable.html" title="class in org.eclipse.papyrus.designer.components.FCM.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html" target="_top">Frames</a></li>
<li><a href="FCMUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.components.FCM.util</div>
<h2 title="Class FCMUtil" class="title">Class FCMUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.components.FCM.util.FCMUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">FCMUtil</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.RoleBindingTable.html" title="class in org.eclipse.papyrus.designer.components.FCM.util">FCMUtil.RoleBindingTable</a></span></code>
<div class="block">A data structure to be used for the specification of how the roles of the collaboration associated with
 the type of param "connector" are bound to actual elements of the composite containing param "connector".</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#FCMUtil--">FCMUtil</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Interface</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#findInterfaceByName-org.eclipse.emf.common.util.EList-java.lang.String-">findInterfaceByName</a></span>(org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Interface&gt;&nbsp;interfaces,
                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;interfaceName)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#generateCollaborationUse-org.eclipse.papyrus.designer.components.FCM.Connector-">generateCollaborationUse</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Connector.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Connector</a>&nbsp;connector)</code>
<div class="block">TODO Move this method in ConnectorReification.java</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#generateDefaultConnectionPattern-org.eclipse.papyrus.designer.components.FCM.InteractionComponent-">generateDefaultConnectionPattern</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/InteractionComponent.html" title="interface in org.eclipse.papyrus.designer.components.FCM">InteractionComponent</a>&nbsp;connectorComp)</code>
<div class="block">Generate a connection pattern.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/ContainerRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM">ContainerRule</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#getAllContainerRules-org.eclipse.uml2.uml.Element-">getAllContainerRules</a></span>(org.eclipse.uml2.uml.Element&nbsp;element)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.ValueSpecification&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#getConfigurationValue-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-">getConfigurationValue</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;specification,
                     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configPropertyName)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.RoleBindingTable.html" title="class in org.eclipse.papyrus.designer.components.FCM.util">FCMUtil.RoleBindingTable</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#getConnectorRoleBindings-org.eclipse.papyrus.designer.components.FCM.Connector-">getConnectorRoleBindings</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Connector.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Connector</a>&nbsp;connector)</code>
<div class="block">Computes a RoleBindingTable for a given ConnectorComp
 Implies that a java class has been defined in FCMProfile.util for this ConnectorComp,
 and that it encapsulates corresponding role binding rule</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FCMUtil--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FCMUtil</h4>
<pre>public&nbsp;FCMUtil()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConfigurationValue-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfigurationValue</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.ValueSpecification&gt;&nbsp;getConfigurationValue(org.eclipse.uml2.uml.InstanceSpecification&nbsp;specification,
                                                                                                               <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configPropertyName)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>specification</code> - </dd>
<dd><code>configPropertyName</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="findInterfaceByName-org.eclipse.emf.common.util.EList-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findInterfaceByName</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Interface&nbsp;findInterfaceByName(org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Interface&gt;&nbsp;interfaces,
                                                                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;interfaceName)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>interfaces</code> - </dd>
<dd><code>interfaceName</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="generateDefaultConnectionPattern-org.eclipse.papyrus.designer.components.FCM.InteractionComponent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateDefaultConnectionPattern</h4>
<pre>public static&nbsp;void&nbsp;generateDefaultConnectionPattern(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/InteractionComponent.html" title="interface in org.eclipse.papyrus.designer.components.FCM">InteractionComponent</a>&nbsp;connectorComp)</pre>
<div class="block">Generate a connection pattern. Currently unused</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connectorComp</code> - </dd>
</dl>
</li>
</ul>
<a name="generateCollaborationUse-org.eclipse.papyrus.designer.components.FCM.Connector-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateCollaborationUse</h4>
<pre>public static&nbsp;void&nbsp;generateCollaborationUse(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Connector.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Connector</a>&nbsp;connector)</pre>
<div class="block">TODO Move this method in ConnectorReification.java</div>
</li>
</ul>
<a name="getConnectorRoleBindings-org.eclipse.papyrus.designer.components.FCM.Connector-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectorRoleBindings</h4>
<pre>public static&nbsp;<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.RoleBindingTable.html" title="class in org.eclipse.papyrus.designer.components.FCM.util">FCMUtil.RoleBindingTable</a>&nbsp;getConnectorRoleBindings(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Connector.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Connector</a>&nbsp;connector)</pre>
<div class="block">Computes a RoleBindingTable for a given ConnectorComp
 Implies that a java class has been defined in FCMProfile.util for this ConnectorComp,
 and that it encapsulates corresponding role binding rule</div>
</li>
</ul>
<a name="getAllContainerRules-org.eclipse.uml2.uml.Element-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAllContainerRules</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/ContainerRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM">ContainerRule</a>&gt;&nbsp;getAllContainerRules(org.eclipse.uml2.uml.Element&nbsp;element)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FCMUtil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html" title="class in org.eclipse.papyrus.designer.components.FCM.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.RoleBindingTable.html" title="class in org.eclipse.papyrus.designer.components.FCM.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html" target="_top">Frames</a></li>
<li><a href="FCMUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
